Index: trunk/MESOSCALE_DEV/PLOT/PYTHON/map_ecmwf.py
===================================================================
--- trunk/MESOSCALE_DEV/PLOT/PYTHON/map_ecmwf.py	(revision 266)
+++ 	(revision )
@@ -1,55 +1,0 @@
-#!/usr/bin/env python
-
-##########################################################################
-var = ["151","146","167"]
-#var = ["167"]
-lev = ["700.","850."]
-tim = ["00"]
-date = ['10','08','2010','10','08','2010']
-dataset = ["an","pl","0"]
-dataset = ["fc","sfc","3"]
-##########################################################################
-proj = "cyl"  #"moll" "ortho" "lcc"
-#proj = "ortho"
-area = "Europe"
-#area = "Central_America"
-#area = "Southern_Hemisphere"
-#area = "Northern_Hemisphere"
-##########################################################################
-
-
-##########################################################################
-import 	numpy 				as np
-import 	matplotlib.pyplot 		as plt
-import  myplot				as myp
-import  myecmwf				as mye
-##########################################################################
-if dataset[1] == "sfc": lev = [9999.]
-[wlon,wlat] = myp.latinterv(area)
-nc = mye.get_ecmwf (var, dataset, wlat, wlon, lev, date, tim) 
-##########################################################################
-lat    = nc.variables['lat'             ][:]
-lon    = nc.variables['lon'             ][:]
-[lon2d,lat2d] = np.meshgrid(lon,lat)
-step=10.
-##########################################################################
-ntime = 0
-for i in range( np.array(var).size ):
-	for j in range( np.array(lev).size ):
-		for k in range( np.array(tim).size ):
-			if dataset[1] == "pl":	field  = nc.variables['var'+var[i]	][k,j,:,:]
-			if dataset[1] == "sfc":	field  = nc.variables['var'+var[i]  	][k,  :,:]
-			m = myp.define_proj(proj,wlon,wlat)
-			x, y = m(lon2d, lat2d)
-			#m.drawmeridians(np.r_[wlon[0]:wlon[1]:step*2], labels=[0,0,0,1], color='grey')
-			#m.drawparallels(np.r_[wlat[0]:wlat[1]:step  ], labels=[1,0,0,0], color='grey')
-			m.bluemarble()
-			#m.warpimage(myp.earthmap("nice"))
-			zeplot = m.contour(x, y, field, 20)
-			plt.clabel(zeplot, inline=1, inline_spacing=1, fontsize=7, fmt='%0i')
-			#plt.colorbar(fraction=0.05,pad=0.1)
-			plt.title(mye.ecmwf_title_field(var[i]))
-			name = str(var[i])+str(lev[j])+str(tim[k])+".png"
-			plt.savefig(name)
-			plt.clf()
-			yeah = myp.display(name)
Index: trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/map_ecmwf.py
===================================================================
--- trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/map_ecmwf.py	(revision 273)
+++ trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/map_ecmwf.py	(revision 273)
@@ -0,0 +1,57 @@
+#!/usr/bin/env python
+
+##########################################################################
+var = ["151","146","167"]
+var = ["167"]
+var = ["78"]
+var = ["137"]
+lev = ["700.","850."]
+tim = ["00"]
+date = ['10','08','2010','10','08','2010']
+date = ['01','09','2009','01','09','2009']
+dataset = ["an","pl","0"]
+dataset = ["fc","sfc","3"]
+##########################################################################
+proj = "cyl"  #"moll" "ortho" "lcc"
+proj = "ortho"
+#proj = "moll"
+area = "Europe"
+area = "Africa"
+#area = "Central_America"
+#area = "Southern_Hemisphere"
+#area = "Northern_Hemisphere"
+area = "Whole_No_High"
+area = "Whole"
+back="blue"
+#back="bw"
+##########################################################################
+
+
+##########################################################################
+import 	numpy 				as np
+import 	matplotlib.pyplot 		as plt
+import  myplot				as myp
+import  myecmwf				as mye
+##########################################################################
+if dataset[1] == "sfc": lev = [9999.]
+[wlon,wlat] = myp.latinterv(area)
+nc = mye.get_ecmwf (var, dataset, wlat, wlon, lev, date, tim) 
+##########################################################################
+[lon2d,lat2d] = myp.getcoord2d (nc,nlat='lat',nlon='lon',is1d=True)
+step=10.
+##########################################################################
+ntime = 0
+for i in range( np.array(var).size ):
+	for z in range( np.array(lev).size ):
+		for t in range( np.array(tim).size ):
+
+                    field, error = myp.reducefield( myp.getfield(nc,'var'+var[i]), d4=t, d3=z )
+                    if not error:
+                        ### Map projection
+                        m = myp.define_proj(proj,wlon,wlat,back=back)
+                        x, y = m(lon2d, lat2d)
+		        zeplot = m.contour(x, y, field, 15)
+		        plt.clabel(zeplot, inline=1, inline_spacing=1, fontsize=7, fmt='%0i')
+		        #plt.colorbar(fraction=0.05,pad=0.1)
+		        plt.title(mye.ecmwf_title_field(var[i]))
+                        myp.makeplotres(str(var[i])+str(lev[z])+str(tim[t]),res=100.,pad_inches_value=0.35)
Index: trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/myecmwf.py
===================================================================
--- trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/myecmwf.py	(revision 266)
+++ trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/myecmwf.py	(revision 273)
@@ -7,4 +7,6 @@
 	elif var == "130": name="Atmospheric Temperature (K)"           # ["130", "an", "0", "pl" ]
 	elif var == "167": name="2m Atmospheric Temperature (K)"        # ["167", "fc", "3", "sfc"]
+        elif var == "78": name="Total column liquid water (kg/kg)"
+        elif var == "137": name="Total column water vapour (kg/m2)"
 	return name
 