Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 273)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 287)
@@ -69,5 +69,5 @@
       output_name     = ' '
       interp_levels   = -99999.
-      process         = 'all'
+      process         = 'list' !!'all'
       
 
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/namelist.api.minim
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/namelist.api.minim	(revision 287)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/namelist.api.minim	(revision 287)
@@ -0,0 +1,9 @@
+&io
+ input_name     = 'POLAR_THOMAS_ls10.17656/wrfout_d03_2024-01-19_06:00:00'
+ fields         = 'HGT,uvmet,tk,HFX,USTM'  
+/
+
+&interp_in
+ interp_method = 4                 
+ interp_levels = 0.01, 0.10 
+/
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/PYTHON/myplot.py
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/PYTHON/myplot.py	(revision 273)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/PYTHON/myplot.py	(revision 287)
@@ -487,4 +487,6 @@
              "anomaly":      "%.1f",\
              "W":            "%.1f",\
+             "WMAX_TH":      "%.1f",\
+             "QSURFICE":     "%.0f",\
                     }
     if whichvar not in fmtvar:
@@ -507,5 +509,7 @@
              "VMR_ICE":      "Blues",\
              "W":            "jet",\
+             "WMAX_TH":      "spectral",\
              "anomaly":      "RdBu_r",\
+             "QSURFICE":     "hot_r",\
                      }
 #W --> spectral ou jet
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/PYTHON/winds.py
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/PYTHON/winds.py	(revision 273)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/PYTHON/winds.py	(revision 287)
@@ -31,5 +31,7 @@
            var2=None,\
            ndiv=10,\
-           first=1):
+           first=1,\
+           mult=1.,\
+           zetitle="fill"):
 
     ####################################################################################################################
@@ -48,6 +50,4 @@
     import numpy as np
     from numpy.core.defchararray import find
-
-    #if save == 'eps': rcParams['backend'] = 'PS'
 
     ######################
@@ -87,6 +87,6 @@
     ### Time loop for plotting device
     found_lct = False
+    nplot = 1
     itime = first
-    nplot = 1
     error = False
     if itstep is None and numplot > 0: itstep = int(24./numplot)
@@ -126,8 +126,11 @@
                if var2 == 'HGT':  zelevels = np.arange(-10000.,30000.,2000.)
                contour( x, y, what_I_contour, zelevels, colors='k', linewidths = 0.33 ) #colors='w' )# , alpha=0.5)
+           else:
+               errormess("There is an error in reducing field !")
 
        #### Shaded plot
        if var:
            what_I_plot, error = reducefield( getfield(nc,var), d4=itime, d3=nvert )
+           what_I_plot = what_I_plot*mult
            if not error: 
                fvar = var
@@ -136,4 +139,6 @@
                    what_I_plot = 100. * ((what_I_plot / smooth(what_I_plot,12)) - 1.)
                    fvar = 'anomaly'
+               #if mult != 1:     
+               #    fvar = str(mult) + "*" + var
                ###
                if typefile in ['mesoapi','meso']:    what_I_plot = dumpbdy(what_I_plot,6)
@@ -143,5 +148,6 @@
                if not tile:
                    if not hole: what_I_plot = bounds(what_I_plot,zevmin,zevmax)
-                   zelevels = np.linspace(zevmin*(1. + 1.e-7),zevmax*(1. - 1.e-7)) #,num=20)
+                   #zelevels = np.linspace(zevmin*(1. + 1.e-7),zevmax*(1. - 1.e-7)) #,num=20)
+                   zelevels = np.linspace(zevmin,zevmax)
                    contourf( x, y, what_I_plot, zelevels, cmap = palette )
                else:
@@ -154,5 +160,7 @@
                                            extend='neither',spacing='proportional')
                                            # both min max neither 
-           
+           else:
+               errormess("There is an error in reducing field !")
+ 
        ### Vector plot
        if winds:
@@ -179,4 +187,6 @@
             if addchar:  plottitle = plottitle + addchar + "_LT"+str(ltst)
             else:        plottitle = plottitle + "_LT"+str(ltst)
+       if mult != 1:           plottitle = str(mult) + "*" + plottitle
+       if zetitle != "fill":   plottitle = zetitle
        ptitle( plottitle )
        itime += itstep
@@ -186,5 +196,5 @@
     ### Save the figure in a file in the data folder or an user-defined folder
     if typefile in ['meso','mesoapi']:   prefix = getprefix(nc)   
-    elif typefile in ['gcm','gcmex']:            prefix = 'LMD_GCM_'
+    elif typefile in ['gcm','gcmex']:    prefix = 'LMD_GCM_'
     else:                                prefix = ''
     ###
@@ -208,5 +218,5 @@
             print "save mode not supported. using gui instead."
             show()
-    else:             print "Local time not found"
+    else:   print "Local time not found"
 
     ###############
@@ -263,7 +273,9 @@
     parser.add_option('-S', '--save',   action='store',dest='save',      type="string",  default="gui", help='save mode (png,eps,svg,pdf or gui)(def=gui)')
     parser.add_option('-a', '--anomaly',action='store_true',dest='anomaly',              default=False, help='compute and plot relative anomaly in %')
-    parser.add_option('-w', '--with',   action='store',dest='var2',     type="string",   default=None,  help='variable contoured')
-    parser.add_option('--div',          action='store',dest='ndiv',     type="int",      default=10,    help='number of divisions in colorbar (def: 10)')
-    parser.add_option('-F', '--first',  action='store',dest='first',    type="int",      default=1,     help='first subscript to plot (def: 1)')
+    parser.add_option('-w', '--with',   action='store',dest='var2',      type="string",  default=None,  help='variable contoured')
+    parser.add_option('--div',          action='store',dest='ndiv',      type="int",     default=10,    help='number of divisions in colorbar (def: 10)')
+    parser.add_option('-F', '--first',  action='store',dest='first',     type="int",     default=1,     help='first subscript to plot (def: 1)')
+    parser.add_option('--mult',         action='store',dest='mult',      type="float",   default=1.,    help='a multiplicative factor to plotted field')
+    parser.add_option('--title',        action='store',dest='zetitle',   type="string",  default="fill",help='customize the whole title')
     #parser.add_option('-V', action='store', dest='comb',        type="float",   default=None,  help='a defined combination of variables')
     (opt,args) = parser.parse_args()
@@ -340,5 +352,6 @@
                 tile=opt.tile,zoom=opt.zoom,display=opt.display,\
                 itstep=opt.itstep,hole=opt.hole,save=opt.save,\
-                anomaly=opt.anomaly,var2=opt.var2,ndiv=opt.ndiv,first=opt.first)
+                anomaly=opt.anomaly,var2=opt.var2,ndiv=opt.ndiv,first=opt.first,\
+                mult=opt.mult,zetitle=opt.zetitle)
             print 'Done: '+name
             system("rm -f to_be_erased")