Index: /trunk/LMDZ.TITAN/libf/phytitan/cooling.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/cooling.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/cooling.F	(revision 306)
@@ -46,4 +46,7 @@
 c     spectral ranges. This common is initialized by radtitan.
 c   
+c     COMMON /PLANT/ CSUBP,RSFI,RSFV,F0PI
+c     This common is initialized by tgmdat.
+c
 c=======================================================================
 c-----------------------------------------------------------------------
@@ -81,4 +84,7 @@
       COMMON /IRTAUS/ dtaui,dtauip
 
+      COMMON /PLANT/ CSUBP,RSFI,RSFV,F0PI
+      REAL CSUBP,RSFI,RSFV,F0PI
+
 c   Local:
 c   ------
@@ -101,8 +107,7 @@
 c   -----
 
-      REAL RHOP,CSUBP,UBARI,RSFI
+      REAL RHOP,UBARI
       DATA RHOP/1.E4/      ! CONVERSION FROM PRESSURE TO MASS
       DATA UBARI/0.5/      ! MEAN COSINE FOR 2-STREAM
-      DATA RSFI/0.0/       ! SURFACE ALBEDO
       DATA WNOI/
      &    11.500,    20.000,    31.250,    50.000,    75.000,
@@ -129,5 +134,5 @@
 
 
-      save RHOP,UBARI,RSFI,WNOI,DWNI
+      save RHOP,UBARI,WNOI,DWNI
 
 c-----------------------------------------------------------------------
@@ -135,6 +140,4 @@
 c   Initialisations:
 c   ----------------
-
-      CSUBP = RCPD*1e4   ! HEAT CAPACITY OF TITANS ATMOSPHERE in CGS
 
       UBARI2=1./1.66
@@ -234,5 +237,5 @@
           ENDDO
 c          BSURF=PLNCK( WAVEN, TEMP(ig,NL), DW)
-           BSURF=.2*PLNCK
+           BSURF=.2*PLNCK*(1-RSFI)
         FUPI(ig,NL)=BSURF * 2.*RPI*UBARI + RSFI*FDI(ig,NL)
         FUPIS(ig,NL,K)=BSURF*2.*RPI*UBARI+RSFI*FDIS(ig,NL,K)
Index: /trunk/LMDZ.TITAN/libf/phytitan/effg.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/effg.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/effg.F	(revision 306)
@@ -1,5 +1,6 @@
       FUNCTION EFFG(Z)
 #include "YOMCST.h"
-      EFFG = RG * (RA/(RA + Z ) )**2
+! RA en m, Z en km...
+      EFFG = RG * (RA/(RA + Z*1000. ) )**2
       RETURN
       END
Index: /trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h	(revision 306)
@@ -113,4 +113,7 @@
      .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
+
+             if (clouds.eq.1) then
+
              CALL histdef(nid_day, "qnoy","nb tot noy" , "n/m2",
      .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
@@ -127,5 +130,4 @@
 c--------------
 c ----- SATURATION ESP NUAGES
-             if (clouds.eq.1) then
                CALL histdef(nid_day,"ch4sat", "saturation CH4", "--",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
Index: /trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 306)
@@ -117,4 +117,7 @@
      .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
+
+             if (clouds.eq.1) then
+
              CALL histdef(nid_mth, "qnoy","nb tot noy" , "n/m2",
      .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
@@ -131,5 +134,4 @@
 c--------------
 c ----- SATURATION ESP NUAGES
-             if (clouds.eq.1) then
                CALL histdef(nid_mth,"ch4sat", "saturation CH4", "--",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
Index: /trunk/LMDZ.TITAN/libf/phytitan/optci.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optci.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optci.F	(revision 306)
@@ -11,5 +11,5 @@
       REAL    ykim(klon,klev,nqtot)
       real    qaer(klon,klev,nqtot)
-      integer nmicro
+      integer nmicro,IPRINT
 c   ---------
 
@@ -93,5 +93,5 @@
 
       integer iopti,iwarning     ! iopti: premier appel, une seule boucle sur les l.d'o.
-      integer ig,seulmtunpt
+      integer ig,seulmtunpt,iout
       save iopti,iwarning,seulmtunpt
       data iopti,iwarning,seulmtunpt/0,0,0/
@@ -265,7 +265,9 @@
 c        endif
 	
+        iout=0
+c       if ((microfi.eq.0).or.(ig.eq.(klon/2+16))) iout=1
         if (seulmtunpt.eq.0) then
           call optci_1pt2(zqaer_1pt,rmcbar(ig,:),xfbar(ig,:,:),
-     &                   iopti,IPRINT)
+     &                   iopti,iout)
            iopti = 1
 	endif
Index: /trunk/LMDZ.TITAN/libf/phytitan/optci_1pt_2.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optci_1pt_2.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optci_1pt_2.F	(revision 306)
@@ -192,11 +192,6 @@
              if (iopti.eq.0) then
 
-c       CALL OPTFRAC(XMONO,10000./WNOI(K)
-c     &                         ,QEXT,QSCT,QABS,QBAR)
-
-
        CALL CFFFV11(1.e-2/WNOI(K),REALI(K),XIMGI(K),RF(inq),2.
      &                ,XMONO,QSCT,QEXT,QABS,QBAR)
-
 
               QF1(inq,K)=QEXT*XRULE
Index: /trunk/LMDZ.TITAN/libf/phytitan/optcv_1pt_2.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optcv_1pt_2.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optcv_1pt_2.F	(revision 306)
@@ -148,7 +148,4 @@
 
             if(ioptv.eq.0.and.J.eq.1) then
-
-c        CALL OPTFRAC(XMONO,10000./WNOV(K)
-c     &                        ,QEXT,QSCT,QABS,QBAR)
 
         CALL CFFFV11(1.e-2/WNOV(K),REALV(K),XIMGV(K),RF(inq),2.
Index: unk/LMDZ.TITAN/libf/phytitan/optfrac.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optfrac.F	(revision 305)
+++ 	(revision )
@@ -1,230 +1,0 @@
-        subroutine optfrac(XN,WLNV,QEXT,QSCA,QABS,CBAR)
-
-c------------------------------------------------------
-c
-c   -->(  ) 
-c       XN      : NOMBRE DE MONOMERES
-c	WLNV	: LONGUEUR D'ONDE 
-c      (  )-->
-c	TEXT(NLEVEL): TAU_EXT (NLAYER)
-c	TSCA(NLEVEL): TAU-SCA (NLEVEL)
-c       TABS(NLEVEL): TAU-ABS (NLEVEL)  
-c       CBAR(NLEVEL): PARAMETRE D'ASYMETRIE (NLEVEL)
-c
-c------------------------------------------------------
-
-       parameter(NNK=64,nmon=15,iint=5)
-
-     
-
-* declaration des variables INPUT/OUTPUT 
-* --------------------------------------
-  
-        real QEXT,QSCA,QABS,CBAR,XN,WLNV
-
- 
-* declaration des variables internes
-* ----------------------------------
-	
-
-        real sfe(nmon,NNK),sfd(nmon,NNK),gn(nmon,NNK)
-
-        real sfe0(nmon,NNK,iint),sfd0(nmon,NNK,iint)
-     & ,gn0(nmon,NNK,iint),l0(NNK) 
-
-        real xpoub,xvis,xir
-        integer kkk
-        save kkk,xvis,xir
-
-        real ifi(NNK)
-
-        real gi,h,h1 
- 
-        real ex(0:4) 
- 
-        integer iprem
-        save iprem
-
-* declaration des blocs communs internes 
-*---------------------------------------
-
-        common/thag_thol/sfe0,sfd0,gn0,l0 
-
-       data iprem/0/
- 
-
-       pi=3.1415926535
-
-
-
-
-       
-* Longueurs d'ondes et sections efficaces utilisees
-*--------------------------------------------------
-       
-       if(iprem.eq.0) THEN
-           print*,'APPEL OPTIQUE FRACTAL'
-           call agreg_tholin()
- 
-       endif     
-
-
-* restriction en longueur d'o
-*----------------------------
- 
-        if(WLNV.lt.l0(1)) stop 'WLNV < l0(1) '
- 
-      do i=1,NNK-1 
-        if(WLNV.gt.l0(i))  index=i+1 
-      enddo  
-
-        if(WLNV.gt.l0(NNK)) stop 'WLNV > l0(NNK) '
-
-commentaire:          l0(index-1) < WLNV < l0(index) 
-
-
-* limite en nombre de monomeres.
-*------------------------------
-
-        if (XN/.75.lt.1.)       stop 'XN < 1'
-        if (XN/1.5.gt.16384.)   stop 'XN > 16384'
-
-c......tolerance grille #1:   .75  < N <1.5
-c................grille #15:  10922< N < 24576
-c................DONC          .75 < N < 24576
-
-* Calculs preparatoires: intervalles de longueurs d'onde 
-*--------------------------------------------------------
-
-       do j=index-1,index         !longueur d'onde 
-       ifi(j)=5                   !ifi < iint
-       if (l0(j).lt.0.72)  ifi(j)=4
-       if (l0(j).lt.0.5)  ifi(j)=3
-       if (l0(j).lt.0.4)  ifi(j)=2
-       if (l0(j).lt.0.3)  ifi(j)=1
-       enddo
-
-        
-*  l0(index) <--> l0(index-1)
-       if(iprem.eq.0) then
-       print*,'ouverture du fichier initpar'
-       open (unit=1,file='initpar')
-       read(1,*) xpoub,kkk,xvis,xir
-       read(1,*) 
-       read(1,*) xpoub,kkk,xvis,xir
-       close(1)
-       print*,'ouverture du fichier initpar ok'
-       iprem=1
-       print*,'DANS OPTFRAC'
-       print*,'------------'
-       print*,'XVIS=',xvis
-       print*,'XIR=',xir
-       endif
-
-c      stop'Check des valeurs dans optfrac.F'
-
-       k=int(alog(XN/.75)/alog(2.)+1.)
-
-       xcompens=XN/(2.**(k-1))
-      
-
-      do j=index-1,index         !longueur d'onde 
-
-       ifich=ifi(j)
-
-         if (WLNV.gt.1.5) then 
-
-            sfe(k,j)=sfe0(k,j,ifich)*xir
-     &              +sfd0(k,j,ifich)*(1.-xir)
-            sfd(k,j)=sfd0(k,j,ifich)
-            gn(k,j)=gn0(k,j,ifich)
-
-         else 
-
-            sfe(k,j)=sfe0(k,j,ifich)*xvis
-     &              +sfd0(k,j,ifich)*(1.-xvis)
-            sfd(k,j)=sfd0(k,j,ifich)
-            gn(k,j)=gn0(k,j,ifich)
-
-         endif
-
-        enddo 
-
-
-         i=k
-
-         XRAT=(WLNV-l0(index-1))/(l0(index)-l0(index-1)) 
-        CBAR=XRAT*(gn(i,index)-gn(i,index-1))
-     &          +gn(i,index-1)  
-        QEXT=XRAT*(sfe(i,index)-sfe(i,index-1))
-     &          +sfe(i,index-1)  
-        QSCA=XRAT*(sfd(i,index)-sfd(i,index-1))
-     &          +sfd(i,index-1)  
-        QABS=QEXT-QSCA 
-
-        QEXT=QEXT*xcompens
-        QSCA=QSCA*xcompens
-        QABS=QABS*xcompens
-
- 
-          return  
- 500    print*,'erreur lecture initfich' 
-          stop
- 499    print*,'erreur ouverture initfich' 
-          stop
-          end 
-
-
-*-------------------------------------------------------------------
-*
-*        DEBUT DU CALCUL D'INTERPOLATION DES DONNEES AGREGAT
-*
-*---------------------------------------------------------------------
-
-      subroutine agreg_tholin()
- 
-
-      common/thag_thol/qext0,qsca0,g0,l
- 
- 
-      parameter(nz=200,nrad=45,NNK=64,nmon=15,iint=5)
-      real l(NNK)
-      real*8 qsca,qext,qg0
-      real qsca0(nmon,NNK,iint),qext0(nmon,NNK,iint)
-     &    ,g0(nmon,NNK,iint)
-
-       do ifich=1,iint 
-       print*,'ouverture du fichier tetag',ifich
-       if (ifich.eq.1) open (unit=3,file='testag0')
-       if (ifich.eq.2) open (unit=3,file='testag1')
-       if (ifich.eq.3) open (unit=3,file='testag2')
-       if (ifich.eq.4) open (unit=3,file='testag3')
-       if (ifich.eq.5) open (unit=3,file='testag4')
-       print*,'ouverture du fichier ok'
-
-       do k=NNK,1,-1
-         read (3,*) l(k)
-         do nm=1,nmon
-           read (3,*) qsca,qext,qg0
-c          read (3,*) qsca0(nm,k,ifich),qext0(nm,k,ifich)
-c    &               ,g0(nm,k,ifich)
-           qsca0(nm,k,ifich)=sngl(qsca)*1.e-18
-           qext0(nm,k,ifich)=sngl(qext)*1.e-18
-           g0(nm,k,ifich)=sngl(qg0)
-         enddo
-       enddo
-      close (3)
-
-       enddo
-c          print*,'4*>',qsca0(1,1,1),qsca0(64,15,4)
-     
-       return
-       end
-
-
-
-*---------------------------------------------------------------------
-*
-*        FIN DU CALCUL D'INTERPOLATION DES DONNEES AGREGAT
-*
-*---------------------------------------------------------------------
Index: /trunk/LMDZ.TITAN/libf/phytitan/optfrac.old
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optfrac.old	(revision 306)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optfrac.old	(revision 306)
@@ -0,0 +1,230 @@
+        subroutine optfrac(XN,WLNV,QEXT,QSCA,QABS,CBAR)
+
+c------------------------------------------------------
+c
+c   -->(  ) 
+c       XN      : NOMBRE DE MONOMERES
+c	WLNV	: LONGUEUR D'ONDE 
+c      (  )-->
+c	TEXT(NLEVEL): TAU_EXT (NLAYER)
+c	TSCA(NLEVEL): TAU-SCA (NLEVEL)
+c       TABS(NLEVEL): TAU-ABS (NLEVEL)  
+c       CBAR(NLEVEL): PARAMETRE D'ASYMETRIE (NLEVEL)
+c
+c------------------------------------------------------
+
+       parameter(NNK=64,nmon=15,iint=5)
+
+     
+
+* declaration des variables INPUT/OUTPUT 
+* --------------------------------------
+  
+        real QEXT,QSCA,QABS,CBAR,XN,WLNV
+
+ 
+* declaration des variables internes
+* ----------------------------------
+	
+
+        real sfe(nmon,NNK),sfd(nmon,NNK),gn(nmon,NNK)
+
+        real sfe0(nmon,NNK,iint),sfd0(nmon,NNK,iint)
+     & ,gn0(nmon,NNK,iint),l0(NNK) 
+
+        real xpoub,xvis,xir
+        integer kkk
+        save kkk,xvis,xir
+
+        real ifi(NNK)
+
+        real gi,h,h1 
+ 
+        real ex(0:4) 
+ 
+        integer iprem
+        save iprem
+
+* declaration des blocs communs internes 
+*---------------------------------------
+
+        common/thag_thol/sfe0,sfd0,gn0,l0 
+
+       data iprem/0/
+ 
+
+       pi=3.1415926535
+
+
+
+
+       
+* Longueurs d'ondes et sections efficaces utilisees
+*--------------------------------------------------
+       
+       if(iprem.eq.0) THEN
+           print*,'APPEL OPTIQUE FRACTAL'
+           call agreg_tholin()
+ 
+       endif     
+
+
+* restriction en longueur d'o
+*----------------------------
+ 
+        if(WLNV.lt.l0(1)) stop 'WLNV < l0(1) '
+ 
+      do i=1,NNK-1 
+        if(WLNV.gt.l0(i))  index=i+1 
+      enddo  
+
+        if(WLNV.gt.l0(NNK)) stop 'WLNV > l0(NNK) '
+
+commentaire:          l0(index-1) < WLNV < l0(index) 
+
+
+* limite en nombre de monomeres.
+*------------------------------
+
+        if (XN/.75.lt.1.)       stop 'XN < 1'
+        if (XN/1.5.gt.16384.)   stop 'XN > 16384'
+
+c......tolerance grille #1:   .75  < N <1.5
+c................grille #15:  10922< N < 24576
+c................DONC          .75 < N < 24576
+
+* Calculs preparatoires: intervalles de longueurs d'onde 
+*--------------------------------------------------------
+
+       do j=index-1,index         !longueur d'onde 
+       ifi(j)=5                   !ifi < iint
+       if (l0(j).lt.0.72)  ifi(j)=4
+       if (l0(j).lt.0.5)  ifi(j)=3
+       if (l0(j).lt.0.4)  ifi(j)=2
+       if (l0(j).lt.0.3)  ifi(j)=1
+       enddo
+
+        
+*  l0(index) <--> l0(index-1)
+       if(iprem.eq.0) then
+       print*,'ouverture du fichier initpar'
+       open (unit=1,file='initpar')
+       read(1,*) xpoub,kkk,xvis,xir
+       read(1,*) 
+       read(1,*) xpoub,kkk,xvis,xir
+       close(1)
+       print*,'ouverture du fichier initpar ok'
+       iprem=1
+       print*,'DANS OPTFRAC'
+       print*,'------------'
+       print*,'XVIS=',xvis
+       print*,'XIR=',xir
+       endif
+
+c      stop'Check des valeurs dans optfrac.F'
+
+       k=int(alog(XN/.75)/alog(2.)+1.)
+
+       xcompens=XN/(2.**(k-1))
+      
+
+      do j=index-1,index         !longueur d'onde 
+
+       ifich=ifi(j)
+
+         if (WLNV.gt.1.5) then 
+
+            sfe(k,j)=sfe0(k,j,ifich)*xir
+     &              +sfd0(k,j,ifich)*(1.-xir)
+            sfd(k,j)=sfd0(k,j,ifich)
+            gn(k,j)=gn0(k,j,ifich)
+
+         else 
+
+            sfe(k,j)=sfe0(k,j,ifich)*xvis
+     &              +sfd0(k,j,ifich)*(1.-xvis)
+            sfd(k,j)=sfd0(k,j,ifich)
+            gn(k,j)=gn0(k,j,ifich)
+
+         endif
+
+        enddo 
+
+
+         i=k
+
+         XRAT=(WLNV-l0(index-1))/(l0(index)-l0(index-1)) 
+        CBAR=XRAT*(gn(i,index)-gn(i,index-1))
+     &          +gn(i,index-1)  
+        QEXT=XRAT*(sfe(i,index)-sfe(i,index-1))
+     &          +sfe(i,index-1)  
+        QSCA=XRAT*(sfd(i,index)-sfd(i,index-1))
+     &          +sfd(i,index-1)  
+        QABS=QEXT-QSCA 
+
+        QEXT=QEXT*xcompens
+        QSCA=QSCA*xcompens
+        QABS=QABS*xcompens
+
+ 
+          return  
+ 500    print*,'erreur lecture initfich' 
+          stop
+ 499    print*,'erreur ouverture initfich' 
+          stop
+          end 
+
+
+*-------------------------------------------------------------------
+*
+*        DEBUT DU CALCUL D'INTERPOLATION DES DONNEES AGREGAT
+*
+*---------------------------------------------------------------------
+
+      subroutine agreg_tholin()
+ 
+
+      common/thag_thol/qext0,qsca0,g0,l
+ 
+ 
+      parameter(nz=200,nrad=45,NNK=64,nmon=15,iint=5)
+      real l(NNK)
+      real*8 qsca,qext,qg0
+      real qsca0(nmon,NNK,iint),qext0(nmon,NNK,iint)
+     &    ,g0(nmon,NNK,iint)
+
+       do ifich=1,iint 
+       print*,'ouverture du fichier tetag',ifich
+       if (ifich.eq.1) open (unit=3,file='testag0')
+       if (ifich.eq.2) open (unit=3,file='testag1')
+       if (ifich.eq.3) open (unit=3,file='testag2')
+       if (ifich.eq.4) open (unit=3,file='testag3')
+       if (ifich.eq.5) open (unit=3,file='testag4')
+       print*,'ouverture du fichier ok'
+
+       do k=NNK,1,-1
+         read (3,*) l(k)
+         do nm=1,nmon
+           read (3,*) qsca,qext,qg0
+c          read (3,*) qsca0(nm,k,ifich),qext0(nm,k,ifich)
+c    &               ,g0(nm,k,ifich)
+           qsca0(nm,k,ifich)=sngl(qsca)*1.e-18
+           qext0(nm,k,ifich)=sngl(qext)*1.e-18
+           g0(nm,k,ifich)=sngl(qg0)
+         enddo
+       enddo
+      close (3)
+
+       enddo
+c          print*,'4*>',qsca0(1,1,1),qsca0(64,15,4)
+     
+       return
+       end
+
+
+
+*---------------------------------------------------------------------
+*
+*        FIN DU CALCUL D'INTERPOLATION DES DONNEES AGREGAT
+*
+*---------------------------------------------------------------------
Index: /trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 306)
@@ -413,4 +413,7 @@
 
       COMMON /TAUD/   TAUHID,TAUCID,TAUGID,TAUHVD,TAUCVD,TAUGVD
+      COMMON /PLANT/ CSUBP,RSFI,RSFV,F0PI
+      REAL CSUBP,RSFI,RSFV,F0PI
+
 * common relatifs au nuages
       real rmcbar(ngrid,NLAYER),xfbar(ngrid,NLAYER,4) 
@@ -992,5 +995,5 @@
 c
       DO i = 1, klon
-            dlw(i) = - 4.0*RSIGMA*ftsol(i)**3 
+            dlw(i) = - 4.0*(1-RSFI)*RSIGMA*ftsol(i)**3 
       ENDDO
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/phytrac.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phytrac.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phytrac.F	(revision 306)
@@ -728,4 +728,6 @@
                d_tr_mph(i,l,iq) = (qaer(i,l,iq)-qaer0(i,l,iq))/
      &                            ptimestep
+c  Traceurs microphysiques: passage en intensif: n/m^2 --> n/kg
+               d_tr_mph(i,l,iq) = d_tr_mph(i,l,iq)*RG/delp(i,l)
              ENDDO
            ENDDO
@@ -737,16 +739,9 @@
              DO i = 1, klon
                d_tr_mph(i,l,iq)=(qaer(i,l,iq)-qaer0(i,l,iq))/ptimestep
+c  Traceurs microphysiques: passage en intensif: n/m^2 --> n/kg
+               d_tr_mph(i,l,iq) = d_tr_mph(i,l,iq)*RG/delp(i,l)
              ENDDO
            ENDDO
          ENDDO
-
-         do iq=1,nmicro
-          DO l=1,llm
-           DO i = 1, klon
-c  Traceurs microphysiques: passage en intensif: n/m^2 --> n/kg
-             d_tr_mph(i,l,iq) = d_tr_mph(i,l,iq)*RG/delp(i,l)
-           ENDDO
-          ENDDO
-         enddo
 
        ENDIF   ! microfi
Index: /trunk/LMDZ.TITAN/libf/phytitan/tgmdat.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/tgmdat.F	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/tgmdat.F	(revision 306)
@@ -30,5 +30,5 @@
       DATA RHOP/1.E4/
 C RSF IS THE SURFACE REFLECTANCE FOR VIS AND IR
-      DATA RSFV,RSFI/0.0,0.0/
+      DATA RSFV,RSFI/0.15,0.05/
 C FOPI IS THE ACTUAL SOLAR FLUX IN ERGS/CM2
       DATA F0PI/1.5E4/
Index: /trunk/LMDZ.TITAN/libf/phytitan/write_histday.h
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/write_histday.h	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/write_histday.h	(revision 306)
@@ -112,4 +112,7 @@
        CALL histwrite(nid_day,"qaer",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
+
+             if (clouds.eq.1) then
+
 c    -------   NB NOY TOT
                do i=1,klon
@@ -150,6 +153,4 @@
 c --------------
 c ----- SATURATION ESP NUAGES
-             if (clouds.eq.1) then
-
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1, satch4,zx_tmp_3d)
        CALL histwrite(nid_day,"ch4sat", itau_w, zx_tmp_3d,
Index: /trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 305)
+++ /trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 306)
@@ -110,4 +110,7 @@
        CALL histwrite(nid_mth,"qaer",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
+
+             if (clouds.eq.1) then
+
 c    -------   NB NOY TOT
                do i=1,klon
@@ -148,6 +151,4 @@
 c --------------
 c ----- SATURATION ESP NUAGES
-             if (clouds.eq.1) then
-
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1, satch4,zx_tmp_3d)
        CALL histwrite(nid_mth,"ch4sat", itau_w, zx_tmp_3d,