Index: trunk/MESOSCALE_DEV/BENCH
===================================================================
--- trunk/MESOSCALE_DEV/BENCH	(revision 326)
+++ trunk/MESOSCALE_DEV/BENCH	(revision 326)
@@ -0,0 +1,67 @@
+[NB: FASTCASEnewphys ne fonctionne plus...]
+
+**** TESTCASE du USER MANUAL ****
+run sur 4 processeurs
+mm reglages et conditions limite
+physique complete avec transfert 
+-- radiatif appelee a chaque pas de temps
+
+**** ULRICH [poweredge aymeric local] + PGF90
+*********************************************
+**** [COMPILATION SUR PENN]
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.01938 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00538 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    0.44229 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.30861 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.41548 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.30718 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.41650 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.30997 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.41756 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.30706 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.41613 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.30891 elapsed seconds.
+**** [COMPILATION SUR ULRICH]
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.01938 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00547 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    0.44636 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.30860 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.41693 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.30779 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.41639 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.30656 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.41724 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.30721 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.41772 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.31679 elapsed seconds.
+
+**** PENN [nouvelle ferme de calcul] + PGF90
+********************************************
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.02036 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00628 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    0.40152 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.25887 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.37387 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.25844 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.37397 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.25864 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.37400 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.25871 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.37362 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.25855 elapsed seconds.
+
+**** FERME UPMC [gnome iDataPlex] + IFORT
+*****************************************
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.90020 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00600 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    1.25950 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.25290 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.35220 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.25500 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.42830 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.25290 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.35430 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.25310 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.35210 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.25240 elapsed seconds.
+
Index: trunk/MESOSCALE_DEV/WORK/namelist.input.custom.gw
===================================================================
--- trunk/MESOSCALE_DEV/WORK/namelist.input.custom.gw	(revision 326)
+++ trunk/MESOSCALE_DEV/WORK/namelist.input.custom.gw	(revision 326)
@@ -0,0 +1,62 @@
+ &time_control
+ start_year       = 2024,    !! (p1) Start Martian Year (20XX for MY XX)
+ start_month      = 07,      !! (p1) Start Martian Month
+ start_day        = 01,      !! (p1) Start Martian Day
+ start_hour       = 06,      !! (p1) Start Martian Hour (at longitude 0)
+ end_year         = 2024,    !! (p1) End Martian Year (20XX for MY XX)
+ end_month        = 07,      !! (p1) End Martian Month
+ end_day          = 04,      !! (p1) End Martian Day
+ end_hour         = 06,      !! (p1) End Martian Hour (at longitude 0)
+ history_interval    = 37,     
+ frames_per_outfile  = 24, 
+ restart          = .false.
+ restart_interval = 8880,
+ io_form_history  = 2
+ io_form_restart  = 2
+ io_form_input    = 2
+ io_form_boundary = 2
+ debug_level      = 0
+ /
+
+ &domains
+ time_step   = 50, 
+ dx = 15000,
+ dy = 15000,
+ e_we   = 401,               
+ e_sn   = 401,              
+ e_vert = 101,               !! (r)(p2) Number of vertical levels
+ p_top_requested = 0.1       !! (p3) Chosen value of pressure at the top of the model
+ eta_levels =     1.000000,   
+    0.000000    
+ /
+
+ &physics
+ /
+
+ &fdda
+ /
+
+ &dynamics
+ damp_opt = 1,        !; upper level damping flag
+                      !              0 = without damping
+                      !              1 = with diffusive damping, maybe used for real-data cases
+                      !                          (dampcoef nondimensional ~0.01-0.1)
+                      !             2 = with Rayleigh  damping (dampcoef inverse time scale [1/s] e.g. .003;
+                      !                        not for real-data cases)
+ dampcoef  = 0.05,    ! ; damping coefficient (see above) 0.01
+ zdamp     = 15000.,  ! ; damping depth (m) from model top 5000.
+ tiso = 130. 
+ /
+
+ &grib2
+ /
+
+ &bdy_control
+ /
+
+!! DO NOT MODIFY
+ &namelist_quilt
+ nio_tasks_per_group = 0,
+ nio_groups = 1,
+ /
+!! DO NOT MODIFY